/* +-------------------------------------------------------------------+ */
/* | Copyright 1993, David Koblas (koblas@netcom.com)		       | */
/* |								       | */
/* | Permission to use, copy, modify, and to distribute this software  | */
/* | and its documentation for any purpose is hereby granted without   | */
/* | fee, provided that the above copyright notice appear in all       | */
/* | copies and that both that copyright notice and this permission    | */
/* | notice appear in supporting documentation.	 There is no	       | */
/* | representations about the suitability of this software for	       | */
/* | any purpose.  this software is provided "as is" without express   | */
/* | or implied warranty.					       | */
/* |								       | */
/* +-------------------------------------------------------------------+ */

/* $Id: xpaintrw.h,v 1.0 2020/06/28 20:15:34 demailly Exp $ */

/*
**  Define all the read/write functions here.
**    [ unfortunately most compilers won't take
**	the "variable" name version of these. ]
 */

extern Image *ReadPNG(char *);
extern int WritePNGn(char *, Image *);
extern int WritePNGi(char *, Image *);
extern int TestPNG(char *);

extern Image *ReadGIF(char *);
extern int WriteGIF(char *, Image *);
extern int TestGIF(char *);

extern Image *ReadJPEG(char *);
extern int WriteJPEG(char *, Image *);
extern int TestJPEG(char *);

extern Image *ReadJP2K(char *);
extern int WriteJP2K(char *, Image *);
extern int TestJP2K(char *);

extern Image *ReadPGF(char *);
extern int WritePGF(char *, Image *);
extern int TestPGF(char *);

extern Image *ReadTIFF(char *);
extern int WriteTIFF(char *, Image *);
extern int TestTIFF(char *);

extern Image *ReadTGA(char *);
extern int WriteTGA(char *, Image *);
extern int TestTGA(char *);

extern int TestBMP(char *);
extern Image *ReadBMP(char *);
extern int WriteBMP(char *, Image *);

extern Image *ReadICO(char *);
extern int WriteICO(char *, Image *);
extern int TestICO(char *);

extern Image *ReadSGI(char *);
extern int WriteSGI(char *, Image *);
extern int TestSGI(char *);

extern Image *ReadPNM(char *);
extern int WritePNM(char *, Image *);
extern int TestPNM(char *);

extern int TestXBM(char *);
extern Image *ReadXBM(char *);
extern int WriteXBM(char *, Image *);

extern Image *ReadXPM(char *);
extern int WriteXPM(char *, Image *);
extern int TestXPM(char *);

extern int TestXWD(char *);
extern Image *ReadXWD(char *);
extern int WriteXWD(char *, Image *);

extern int TestLXP(char *);
extern Image *ReadLXP(char *);
extern int WriteLXP(char *, Image *);

extern Image *ReadPS_(char *);
extern int WritePS(char *, Image *);
extern int WritePDF(char *, Image *);
extern int TestPS_(char *);

extern Image *ReadScriptC(char *);
extern int TestScriptC(char *);
